
package com.lideeyunji.core.framework.config.aspect.enhance.model;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @author JX
 * @create 2024-08-15 10:02
 * @dedescription:
 */
public class EnhanceParam implements Serializable {

    private Long dbFormId;

    private Map<String, Object> params;

    private List<Map<String, Object>> list;

    private Long dataId;

    private Page page;

    public Long getDbFormId() {
        return dbFormId;
    }

    public void setDbFormId(Long dbFormId) {
        this.dbFormId = dbFormId;
    }

    public Map<String, Object> getParams() {
        return params;
    }

    public void setParams(Map<String, Object> params) {
        this.params = params;
    }

    public List<Map<String, Object>> getList() {
        return list;
    }

    public void setList(List<Map<String, Object>> list) {
        this.list = list;
    }

    public EnhanceParam() {
    }

    public Long getDataId() {
        return dataId;
    }

    public void setDataId(Long dataId) {
        this.dataId = dataId;
    }

    public Page getPage() {
        return page;
    }

    public void setPage(Page page) {
        this.page = page;
    }

    public EnhanceParam(Long dbFormId, Map<String, Object> params, List<Map<String, Object>> list) {
        this.dbFormId = dbFormId;
        this.params = params;
        this.list = list;
    }

    public EnhanceParam(Long dbFormId, Map<String, Object> params, List<Map<String, Object>> list, Long dataId, Page page) {
        this.dbFormId = dbFormId;
        this.params = params;
        this.list = list;
        this.dataId = dataId;
        this.page = page;
    }
}
